Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575096 - Unable to install paramiko on CentOS 7.2.1511 due to strict requires to python2-pyasn1
Summary: Unable to install paramiko on CentOS 7.2.1511 due to strict requires to pytho...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-paramiko
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Othman Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 18:34 UTC by Mikhail Ushanov
Modified: 2018-11-16 18:55 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-16 18:55:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikhail Ushanov 2018-05-04 18:34:31 UTC
Description of problem:

Paramiko cannot be installed on CentOS 7.2.1511 with vault.centos.org repos. In 7.2.1511 python-pyasn1 doesn't provide python2-pyasn1, which required by python-paramiko.

Version-Release number of selected component (if applicable):

python-paramiko-2.1.1-0.4.el7

How reproducible:

Always

Steps to Reproduce:
1. Change yum repos to vault.centos.org:
    sed -e "s/#baseurl=/baseurl=/g"
        -e "s/mirrorlist=/#mirrorlist=/g" \
        -e "s;mirror.centos.org/centos;vault.centos.org;g" \
        -i /etc/yum.repos.d/CentOS-*
2. Freeze yum repos to 7.2.1511
    echo 7.2.1511 > /etc/yum/vars/releasever
3. Install python-paramiko
    yum install python-paramiko

Actual results:

Error: Package: python-paramiko-2.1.1-0.4.el7.noarch (epel)
           Requires: python2-pyasn1
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:

python-paramiko successfully installed

Additional info:

Introduced by https://bugzilla.redhat.com/show_bug.cgi?id=1559133

I think, that python-paramiko should depends on python-pyasn1, not python2-pyasn1.

Comment 1 Paul Howarth 2018-05-07 15:04:08 UTC
It's probably easiest to work around this by creating a local dummy python2-pyasn1 package that requires python-pyasn1. There's a bunch of these in EPEL already (see https://fedoraproject.org/wiki/User:Tibbs/EPELPythonStubPackages) but this case is a little different as python2-pyasn1 does actually exist in the current EL-7 release that EPEL targets, which is why I'd suggest doing this locally.

I'm very reluctant to change the python-paramiko package in EPEL7 as it's supposed to be the same as the one in RHEL 7.4 apart from the release tag.

Comment 2 Orion Poplawski 2018-11-16 18:55:21 UTC
Sorry, old versions of EL not supported.


Note You need to log in before you can comment on or make changes to this bug.